Loading...
Searching...
No Matches
exp_number_builder Class Reference

## Public Member Functions

int | get_n (poly p)
| exp_number_builder ()

## Data Fields

poly_tree_node * | top_level
int | n

## Detailed Description

Definition at line 1941 of file tgb.cc.

## Constructor & Destructor Documentation

## exp_number_builder()

exp_number_builder::exp_number_builder | ( |  | ) |

inline

Definition at line 1947 of file tgb.cc.

:top_level (0), n (0)
{
}
exp_number_builder::n
int n
Definition tgb.cc:1945
exp_number_builder::top_level
poly_tree_node * top_level
Definition tgb.cc:1944

## Member Function Documentation

## get_n()

int exp_number_builder::get_n | ( | poly | p | ) |

Definition at line 1951 of file tgb.cc.

{
poly_tree_node **node = &top_level;
while(*node != NULL)
{
int c = pLmCmp (p, (*node)->p);
if(c == 0)
return (*node)->n;
if(c == -1)
node = &((*node)->r);
else
node = &((*node)->l);
}
(*node) = new poly_tree_node (n);
n++;
(*node)->p = pLmInit (p);
return (*node)->n;
}
p
int p
Definition cfModGcd.cc:4086
NULL
#define NULL
Definition omList.c:12
pLmInit
#define pLmInit(p)
like pInit, except that expvector is initialized to that of p, p must be != NULL
Definition polys.h:65
pLmCmp
#define pLmCmp(p, q)
returns 0|1|-1 if p=q|p>q|p<q w.r.t monomial ordering
Definition polys.h:106

## Field Documentation

## n

int exp_number_builder::n

Definition at line 1945 of file tgb.cc.

## top_level

poly_tree_node* exp_number_builder::top_level

Definition at line 1944 of file tgb.cc.

The documentation for this class was generated from the following file:

- kernel/GBEngine/tgb.cc